1 (edited by different 2013-03-27 01:47:44)

Topic: dovecot conflicts problem - need support for installation

==== Required information ====
- iRedMail version: latest stable 0.8.4
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):MySQL
- Linux/BSD distribution name and version: centos-release-6-4.el6.centos.10.x86_64
- Related log if you're reporting an issue: 
====

I cannot finish installation because of conflicts problem.

I have had dovecot before running the installer.
I erased dovecot afterwards, but did not work.
I have web server and MySQL already running so I cannot erase entire server.
I have only enable centOS repo.

I get the following error.


Downloading Packages:
dovecot-2.0.9-5.el6.x86_64.rpm                                                                                                                 | 1.9 MB     00:00     


Running rpm_check_debug
Running Transaction Test


  file /usr/lib64/dovecot/settings/libmanagesieve_login_settings.so conflicts between attempted installs of dovecot-managesieve-2:0.2.6-21.el6.x86_64 and dovecot-pigeonhole-1:2.0.9-5.el6.x86_64
  file /usr/lib64/dovecot/settings/libmanagesieve_settings.so conflicts between attempted installs of dovecot-managesieve-2:0.2.6-21.el6.x86_64 and dovecot-pigeonhole-1:2.0.9-5.el6.x86_64
  file /usr/libexec/dovecot/managesieve conflicts between attempted installs of dovecot-managesieve-2:0.2.6-21.el6.x86_64 and dovecot-1:2.0.9-5.el6.x86_64
  file /usr/libexec/dovecot/managesieve-login conflicts between attempted installs of dovecot-managesieve-2:0.2.6-21.el6.x86_64 and dovecot-1:2.0.9-5.el6.x86_64

< ERROR > Installation failed, please check the terminal output.



Then I have run the following command before running iRedMail.sh
sudo yum remove dovecot* dovecot-*


But no packages have been installed in our server. I get the following report:


Loaded plugins: downloadonly, fastestmirror, priorities, security
Setting up Remove Process
No Match for argument: dovecot*
Loading mirror speeds from cached hostfile
294 packages excluded due to repository priority protections
Package(s) dovecot* available, but not installed.
No Match for argument: dovecot-*
Package(s) dovecot-* available, but not installed.
No Packages marked for removal


How can I finish the installation?

Is there way to manually install or compile these files?
if so, which version should be installed?

2

Re: dovecot conflicts problem - need support for installation

different wrote:

  file /usr/lib64/dovecot/settings/libmanagesieve_login_settings.so conflicts between attempted installs of dovecot-managesieve-2:0.2.6-21.el6.x86_64 and dovecot-pigeonhole-1:2.0.9-5.el6.x86_64

Package conflict. Please remove installed dovecot packages first, then install iRedMail again:

# yum remove "dovecot*"

3 (edited by different 2013-04-23 18:29:44)

Re: dovecot conflicts problem - need support for installation

ZhangHuangbin wrote:
different wrote:

  file /usr/lib64/dovecot/settings/libmanagesieve_login_settings.so conflicts between attempted installs of dovecot-managesieve-2:0.2.6-21.el6.x86_64 and dovecot-pigeonhole-1:2.0.9-5.el6.x86_64

Package conflict. Please remove installed dovecot packages first, then install iRedMail again:

# yum remove "dovecot*"

For this problem, nothing worked because of too many dependencies ---I messed up with yum/repo.
so I re-installed iRedMail from fresh server again.

Please close this post.